/* Test of polynom package 
 * Author:  Yotam Medini  yotam.medini@gmail.com -- Created: 2010/December/20
 */

#include "polynom.h"
#include <stdio.h>
#include <stdlib.h>


int main(int argc, char **argv)
{
    /* Assume paramters are OK */
    int         k, ai, rc = 0;
    int         n_coefficients = argc - 1;
    int         degree = n_coefficients - 1;
    polynom_t   *p;

    p = polynom_create(degree);
    
    if (p)
    {
        printf("Default polynom of degree %d: ", degree);
        polynom_print(stdout, p);
        printf("\n");

        /* Set coefficients from command line parameters */
        for (ai = 1, k = degree; (ai < argc) && (k >= 0);  ai++, k--)
        {
            p->coefs[k] = strtod(argv[ai], NULL);
        }

        printf("User polynom: ");
        polynom_print(stdout, p);
        printf("\n");
        polynom_destroy(p);
    }
    else
    {
        fprintf(stderr, "This polynom software is not yet ready for release\n");
        rc = 1;
    }
    return rc;
}
